name: igwn-dev-node
summary: IGWN development node metapackage
description: |
  IGWN metapackage to install all packages required to configure
  an IGWN research software development node.
maintainer: IGWN Computing and Software Committee (CompSoft) <compsoft@ligo.org>
priority: optional
section: science

skip:
  # igwn-pipelines-dev* not ready for EL9
  - el9

deps:
  # User shells
  - igwn-shell
  # Basic utilities
  - igwn-utilities
  # IAM utilities
  - igwn-iam
  # Development libraries
  - igwn-dev-libraries
  # Development tools
  - igwn-dev-tools
  # package building tools
  - igwn-packaging-tools
  # pipeline development metapackages
  - igwn-pipelines-dev    # [not rpm]
  - igwn-pipelines-devel  # [rpm]

test:
  - cmake --version
  - ${CC:-gcc} --version
  - ligo-proxy-init --version

changelog:
  # dates should be formatted using: 'date +%Y-%m-%dT%H:%M:%S%:z'
  - date: 2023-11-28T10:34:49+00:00
    author: Duncan Macleod <duncan.macleod@ligo.org>
    changes:
      - add igwn-shell
    version: 20231128
  - date: 2023-11-24T10:00:36+00:00
    author: Duncan Macleod <duncan.macleod@ligo.org>
    changes:
      - add igwn-utilities
    version: 20231124
  - date: 2022-09-05T15:44:14+01:00
    author: Duncan Macleod <duncan.macleod@ligo.org>
    changes:
      - add igwn-dev-libraries
    version: 20220905
  - date: 2022-05-20T14:15:15+01:00
    author: Duncan Macleod <duncan.macleod@ligo.org>
    changes:
      - first release
    version: 20220520
